Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TNodeFactory

    java.lang.Object
      gudusoft.gsqlparser.nodes.TNodeFactory

    public class TNodeFactory

extends java.lang.Object

Constructor Summary
`TNodeFactory()`

Method Summary
`TColumnReference` | `createColumnReference(TObjectName objectname)`
`TColumnReference` | `createColumnReference(TSourceToken objectname)`
`TParseTreeNode` | `createCompoundExpression(int operatorType, TExpression leftOperand, TExpression rightOperand)`
`TParseTreeNode` | `createConstant(TSourceToken st, ENodeType ent)`
`TParseTreeNode` | `createDatetimeExpression()`
`TParseTreeNode` | `createExpression()`
`TParseTreeNode` | `createExpression(int operatorType)`
`TParseTreeNode` | `createExpression(int operatorType, TExpression leftOperand, TExpression rightOperand)`
`TParseTreeNode` | `createFunctionCall(TObjectName functionName)`
`TParseTreeNode` | `createIntervalExpression()`
`TParseTreeNode` | `createNode(int nodeType)` Get a node that takes no initializer arguments.
`TParseTreeNode` | `createNode(int nodeType, java.lang.Object arg1)` Get a node that takes one initializer argument.
`TParseTreeNode` | `createNode(int nodeType, java.lang.Object arg1, java.lang.Object arg2)` Get a node that takes one initializer argument.
`TParseTreeNode` | `createNode(int nodeType, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)` Get a node that takes one initializer argument.
`TParseTreeNode` | `createNode(int nodeType, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)`
`TParseTreeNode` | `createNode(int nodeType, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4, java.lang.Object arg5)`
`TParseTreeNode` | `createNode(int nodeType, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4, java.lang.Object arg5, java.lang.Object arg6)`
`TObjectName` | `createObjectName(TSourceToken schema, TSourceToken object, TSourceToken part)` create a database object with schema, object and part name, type of this object will be determined later in the context where it appears.
`TObjectName` | `createObjectNameWithObject(TSourceToken object)`
`TObjectName` | `createObjectNameWithPart(TSourceToken part)`
`TObjectName` | `createObjectNameWithPartAndObject(TSourceToken object, TSourceToken part)`
`TObjectReference` | `createObjectReference(TObjectName objectname, int objecttype)`
`
`<T> TPTNodeList<T>`
` | `createPTNodeList(T c)`
`TParseTreeNode` | `createSelectSqlNode()`
`TParseTreeNode` | `createSimpleExpression(TConstant cnt)`
`TExpression` | `createSimpleExpression(TObjectName or)`
`TParseTreeNode` | `createSimpleExpression(TSourceToken st)`
`TTableReference` | `createTableReference(TObjectName objectname)`
`void` | `setGsqlParser(TGSqlParser parser)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TNodeFactory

    public TNodeFactory()

Method Detail

### setGsqlParser

    public void setGsqlParser(TGSqlParser parser)

### createColumnReference

    public TColumnReference createColumnReference(TObjectName objectname)

### createColumnReference

    public TColumnReference createColumnReference(TSourceToken objectname)

### createTableReference

    public TTableReference createTableReference(TObjectName objectname)

### createObjectReference

    public TObjectReference createObjectReference(TObjectName objectname,
                                                  int objecttype)

### createIntervalExpression

    public TParseTreeNode createIntervalExpression()

### createDatetimeExpression

    public TParseTreeNode createDatetimeExpression()

### createFunctionCall

    public TParseTreeNode createFunctionCall(TObjectName functionName)

### createSelectSqlNode

    public TParseTreeNode createSelectSqlNode()

### createExpression

    public TParseTreeNode createExpression()

### createExpression

    public TParseTreeNode createExpression(int operatorType)

### createExpression

    public TParseTreeNode createExpression(int operatorType,
                                           TExpression leftOperand,
                                           TExpression rightOperand)

### createCompoundExpression

    public TParseTreeNode createCompoundExpression(int operatorType,
                                                   TExpression leftOperand,
                                                   TExpression rightOperand)

### createSimpleExpression

    public TExpression createSimpleExpression(TObjectName or)

### createObjectName

    public TObjectName createObjectName(TSourceToken schema,
                                        TSourceToken object,
                                        TSourceToken part)

  create a database object with schema, object and part name, type of this object will be determined later in the context where it appears.

  Parameters:
    `schema` - schema name of this object.
    `object` - object name such as table, view, function and etc.
    `part` - part of object, depends on object, if object is table, then part will be column name; will be null if object is function
  Returns:

### createObjectNameWithPart

    public TObjectName createObjectNameWithPart(TSourceToken part)

### createObjectNameWithObject

    public TObjectName createObjectNameWithObject(TSourceToken object)

### createObjectNameWithPartAndObject

    public TObjectName createObjectNameWithPartAndObject(TSourceToken object,
                                                         TSourceToken part)

### createSimpleExpression

    public TParseTreeNode createSimpleExpression(TConstant cnt)

### createSimpleExpression

    public TParseTreeNode createSimpleExpression(TSourceToken st)

### createConstant

    public TParseTreeNode createConstant(TSourceToken st,
                                         ENodeType ent)

### createNode

    public TParseTreeNode createNode(int nodeType)

  Get a node that takes no initializer arguments.

  Parameters:
    `nodeType` - Identifier for the type of node.
  Returns:
    A new ParseTree node.

### createPTNodeList

    public <T> TPTNodeList<T> createPTNodeList(T c)

### createNode

    public final TParseTreeNode createNode(int nodeType,
                                           java.lang.Object arg1)

  Get a node that takes one initializer argument.

  Parameters:
    `nodeType` - Identifier for the type of node.
    `arg1` - The initializer argument
  Returns:
    A new ParseTree node.

### createNode

    public final TParseTreeNode createNode(int nodeType,
                                           java.lang.Object arg1,
                                           java.lang.Object arg2)

  Get a node that takes one initializer argument.

  Parameters:
    `nodeType` - Identifier for the type of node.
    `arg1` - The initializer argument
    `arg2` - The initializer argument
  Returns:
    A new ParseTreeNode node.

### createNode

    public final TParseTreeNode createNode(int nodeType,
                                           java.lang.Object arg1,
                                           java.lang.Object arg2,
                                           java.lang.Object arg3)

  Get a node that takes one initializer argument.

  Parameters:
    `nodeType` - Identifier for the type of node.
    `arg1` - The initializer argument
    `arg2` - The initializer argument
    `arg3` - The initializer argument
  Returns:
    A new ParseTreeNode node.

### createNode

    public final TParseTreeNode createNode(int nodeType,
                                           java.lang.Object arg1,
                                           java.lang.Object arg2,
                                           java.lang.Object arg3,
                                           java.lang.Object arg4)

### createNode

    public final TParseTreeNode createNode(int nodeType,
                                           java.lang.Object arg1,
                                           java.lang.Object arg2,
                                           java.lang.Object arg3,
                                           java.lang.Object arg4,
                                           java.lang.Object arg5)

### createNode

    public final TParseTreeNode createNode(int nodeType,
                                           java.lang.Object arg1,
                                           java.lang.Object arg2,
                                           java.lang.Object arg3,
                                           java.lang.Object arg4,
                                           java.lang.Object arg5,
                                           java.lang.Object arg6)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD